clang 8.0.0

Public Member Functions | List of all members
clang::CodeGen::CoverageMappingGen Class Reference

Organizes the per-function state that is used while generating code coverage mapping data. More...

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CoverageMappingGen.h"`

## Public Member Functions
| CoverageMappingGen (CoverageMappingModuleGen &CVM, SourceManager &SM, const LangOptions &LangOpts)
| CoverageMappingGen (CoverageMappingModuleGen &CVM, SourceManager &SM, const LangOptions &LangOpts, llvm::DenseMap< const Stmt *, unsigned > *CounterMap)
void | emitCounterMapping (const Decl *D, llvm::raw_ostream &OS)
| Emit the coverage mapping data which maps the regions of code to counters that will be used to find the execution counts for those regions. More...
void | emitEmptyMapping (const Decl *D, llvm::raw_ostream &OS)
| Emit the coverage mapping data for an unused function. More...

## Detailed Description

Organizes the per-function state that is used while generating code coverage mapping data.

Definition at line 85 of file CoverageMappingGen.h.

## Constructor & Destructor Documentation

## ◆ CoverageMappingGen() [1/2]

clang::CodeGen::CoverageMappingGen::CoverageMappingGen | ( | CoverageMappingModuleGen & | CVM,
|  | SourceManager & | SM,
|  | const LangOptions & | LangOpts
| ) |  |
| inline

Definition at line 92 of file CoverageMappingGen.h.

## ◆ CoverageMappingGen() [2/2]

clang::CodeGen::CoverageMappingGen::CoverageMappingGen | ( | CoverageMappingModuleGen & | CVM,
|  | SourceManager & | SM,
|  | const LangOptions & | LangOpts,
|  | llvm::DenseMap< const Stmt *, unsigned > * | CounterMap
| ) |  |
| inline

Definition at line 96 of file CoverageMappingGen.h.

## Member Function Documentation

## ◆ emitCounterMapping()

void CoverageMappingGen::emitCounterMapping | ( | const Decl * | D,
|  | llvm::raw_ostream & | OS
| ) |  |

Emit the coverage mapping data which maps the regions of code to counters that will be used to find the execution counts for those regions.

Definition at line 1463 of file CoverageMappingGen.cpp.

References SM.

Referenced by clang::CodeGen::CodeGenPGO::assignRegionCounters().

## ◆ emitEmptyMapping()

void CoverageMappingGen::emitEmptyMapping | ( | const Decl * | D,
|  | llvm::raw_ostream & | OS
| ) |  |

Emit the coverage mapping data for an unused function.

It creates mapping regions with the counter of zero.

Definition at line 1471 of file CoverageMappingGen.cpp.

References SM.

Referenced by clang::CodeGen::CodeGenPGO::emitEmptyCounterMapping().

The documentation for this class was generated from the following files:

- lib/CodeGen/CoverageMappingGen.h
- lib/CodeGen/CoverageMappingGen.cpp